<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="冶金规范">
    <query id="ComPscDAL.queryPscDesc" desc="查询产品信息">
        <![CDATA[      
SELECT T.PSC, T.PSC_DESC
  FROM COM_PSC T
 WHERE T.VALIDFLAG = '1'
   AND DECODE('#PRODUCNAME#', NULL, '1', T.PRODUCNAME) LIKE
       DECODE('#PRODUCNAME#', NULL, '1', '%#PRODUCNAME#%')
   AND DECODE('#STEELNAME#', NULL, '1', T.STEELNAME) LIKE
       DECODE('#STEELNAME#', NULL, '1', '%#STEELNAME#%')
   AND DECODE('#STD_NAME#', NULL, '1', T.STD_NAME) LIKE
       DECODE('#STD_NAME#', NULL, '1', '%#STD_NAME#%')
 ORDER BY T.PSC_DESC
	     ]]>
	  </query>
</queryMap>